<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Abbr Description BBCode
| Version: 1.0
| Filename: abbr_bbcode_include.php
| Author: Pisatel
| Tooltip script: Responsive and Mobile-Friendly Tooltip http://osvaldas.info/elegant-css-and-jquery-tooltip-responsive-mobile-friendly
| Support: http://www.meweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
    if (!defined("IN_FUSION")) { die("Access Denied"); }
    unset($ma);
    preg_match_all("#(\[abbr\](.*?)\[\/abbr\])#si", $text, $ma, PREG_PATTERN_ORDER);
    if (($ca = count($ma[0])) > 0){
    add_to_head("<style>
.abbrtip { box-shadow: 0 0 3px #333; background: #696969; color: #fff; position: absolute; z-index: 100; padding: 5px; text-shadow: 0 1px 0 #333; border-radius: 4px; max-width: 500px; min-width: 200px; font-style: italic; }
.abbrtip::after { width: 0; height: 0; border-left: 10px solid transparent; border-right: 10px solid transparent; border-top: 10px solid #696969; content: ''; position: absolute; left: 50%; bottom: -10px; margin-left: -10px; }
.abbrtip.top::after { border-top-color: transparent; border-bottom: 10px solid #696969; top: -20px;
bottom: auto; }
.abbrtip.left::after { left: 10px; margin: 0; }
.abbrtip.right::after { right: 10px; left: auto; margin: 0; }
abbr[rel='tooltip'], .bb-abbr { border-bottom: 1px dotted #666; text-shadow: 0 1px 0 #fff; }
abbr[rel='tooltip']:hover, abbr[rel='tooltip']:active, abbr[rel='tooltip']:focus, .bb-abbr:hover { border-bottom: none; cursor: help; }
</style>\n<script>
    $(function() {
  var targets = $('[rel~=tooltip]'), target = false, tooltip = false, title = false;
  targets.bind('mouseenter', function() {
  target = $(this);
  tip = target.attr('title');
  tooltip = $('<div class=\"abbrtip\"></div>');
    if (!tip || tip == '')
  return false;
  target.removeAttr('title');
  tooltip.css('opacity', 0).html(tip).appendTo('body');
  var init_tooltip = function() {
    if ($(window).width() < tooltip.outerWidth() * 1.5)
  tooltip.css('max-width', $(window).width() / 2);
  else
  tooltip.css('max-width', 340);
  var pos_left = target.offset().left + (target.outerWidth() / 2) - (tooltip.outerWidth() / 2), pos_top = target.offset().top - tooltip.outerHeight() - 20;
    if (pos_left < 0) {
  pos_left = target.offset().left + target.outerWidth() / 2 - 20;
  tooltip.addClass('left');
} else
  tooltip.removeClass('left');
  if (pos_left + tooltip.outerWidth() > $(window).width()) {
  pos_left = target.offset().left - tooltip.outerWidth() + target.outerWidth() / 2 + 20;
  tooltip.addClass('right');
} else
  tooltip.removeClass('right');
    if (pos_top < 0) {
  var pos_top = target.offset().top + target.outerHeight();
  tooltip.addClass('top');
} else
  tooltip.removeClass('top');
  tooltip.css({ left: pos_left, top: pos_top }).animate({ top: '+=10', opacity: 1 }, 50);
};
    init_tooltip();
    $(window).resize(init_tooltip);
  var remove_tooltip = function() {
  tooltip.animate({ top: '-=10', opacity: 0 }, 50, function() {
    $(this).remove();
  });
  target.attr('title', tip);
};
  target.bind('mouseleave', remove_tooltip);
  tooltip.bind('click', remove_tooltip);
  });
});\n</script>\n");
    require_once INFUSIONS."abbr_admin/infusion_db.php";
    $ares = dbquery("SELECT abbr_key, abbr_desc FROM ".DB_ABBR_DESC);
    if (dbrows($ares)) {
    $fora = array();
    while($adat = dbarray($ares)) {
    $fora[$adat['abbr_key']] = $adat['abbr_desc'];
  }
} else {
    $fora = $locale['bb_abbr_array'];
}
    for($i = 0; $i < $ca; $i++) {
    foreach ($fora as $akey => $aval) {
    if (mb_stripos($ma[2][$i], $akey) !== false) {
    $ret = "<abbr title='".str_ireplace(array("script", "javascript", "vbscript"), array("S.cript", "JavaS.cript", "Vbs.cript"), $aval)."' rel='tooltip'>".$ma[2][$i]."</abbr>";
    break;
} else {
   $ret = "<abbr class='bb-abbr'>".$ma[2][$i]."</abbr>";
   }
}
    $text = str_replace($ma[1][$i], $ret, $text);
  }
}
?>