<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Abbr Description BBCode
| Version: 1.0
| Filename: abbr_bbcode_include_var.php
| Author: Pisatel
| Support: http://www.meweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
    add_to_head("<style>\n.a-abbr { margin: 2px;padding: 1px; color: #222; text-shadow: 0 1px 0 #fff; }\n.a-abbr:hover { color: #999; cursor: help; }\n</style>\n");

    if (!function_exists('gen_abbr')) {
  function gen_abbr($textarea_name, $inputform_name, $locale_arr, $locale_t) {
    require_once INFUSIONS."abbr_admin/infusion_db.php";
    $agen = "<span style='color:#880000; display:block; font-weight:bold; text-align:center;'>".$locale_t."</span>";
    $agen .= "<a class='a-abbr' title='abbr' onclick=\"insertText('".$textarea_name."', '[abbr][/abbr]', '".$inputform_name."');\">[abbr][/abbr]</a>";
    $res = dbquery("SELECT abbr_key, abbr_desc FROM ".DB_ABBR_DESC);
    if (dbrows($res)) {
    $afor = array();
    while($dat = dbarray($res)) {
    $afor[$dat['abbr_key']] = $dat['abbr_desc'];
  }
} else {
    $afor = $locale_arr;
}
    foreach($afor as $key => $val) {
    $agen .= "<a class='a-abbr' title='".$key."' onclick=\"insertText('".$textarea_name."', '[abbr]".strtoupper($key)."[/abbr]', '".$inputform_name."');\">".$key."</a>";
   }
    return $agen;
 }
}

$__BBCODE__[] = 
array(
"description"  => $locale['bb_abbr_description'],
"value"   => "abbr",
"bbcode_start"  => "[abbr]",
"bbcode_end"  => "[/abbr]",
"usage"   => "[abbr]".$locale['bb_abbr_usage']."[/abbr]",
'onclick'  => "return overlay(this, 'abbr_".$textarea_name."', 'rightbottom');",
'onmouseover'  => "",
'onmouseout'  => "",
'html_start'  => "<div id='abbr_".$textarea_name."' class='tbl1 bbcode-popup' style='display: none; border:1px solid black; position: absolute; width: 420px; height: auto; word-wrap:break-word;' onclick=\"overlayclose('abbr_".$textarea_name."');\">",
'includejscript' => "",
'calljscript'  => "",
'phpfunction'  => "echo gen_abbr('".$textarea_name."', '".$inputform_name."', '".$locale['bb_abbr_array']."', '".$locale['bb_abbr_04']."');",
'html_middle'  => "",
'html_end'  => "</div>"
);
?>