<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Abbr Description BBCode
| Filename: abbr_admin.php
| Author: Pisatel
| http://www.meweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
    require_once "../../maincore.php";
    if (!checkAdminPageAccess("ADB")) { redirect("../../index.php"); exit; }
    require_once INFUSIONS."abbr_admin/infusion_db.php";

    require_once THEMES."templates/admin_header.php";
     file_exists(LOCALE.LOCALESET."bbcodes/abbr.php") ? require_once LOCALE.LOCALESET."bbcodes/abbr.php" : require_once LOCALE."Russian/bbcodes/abbr.php";
    if (!defined("ADBLINK")) { define("ADBLINK", FUSION_SELF.$aidlink); }
    if (isset($_GET['status']) && !isset($message)) {
    switch($_GET['status']) {
    case "adelete": $message = $locale['bb_abbr_01']; break;
    case "aalldelete": $message = $locale['bb_abbr_02']; break;
    case "save": $message = $locale['bb_abbr_17']; break;
    case "update": $message = $locale['bb_abbr_20']; break;
    case "empty": $message = $locale['bb_abbr_23']; break;
    default: $message = false;
}
    if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
 } elseif (isset($_GET['action']) && $_GET['action'] == "adelete" && isset($_GET['abbr_id']) && isnum($_GET['abbr_id'])) {
    dbquery("DELETE FROM ".DB_ABBR_DESC." WHERE abbr_id='".$_GET['abbr_id']."' LIMIT 1");
    redirect(ADBLINK."&amp;status=adelete");
} elseif (isset($_GET['action']) && $_GET['action'] == "aalldelete") {
    dbquery("DELETE FROM ".DB_ABBR_DESC);
    redirect(ADBLINK."&amp;status=aalldelete");
}
    if ((isset($_POST['preview']) || isset($_POST['save'])) && (empty($_POST['abbr']) || empty($_POST['desc']))) {
    $abbr = !empty($_POST['abbr']) ? stripinput(stripslash(trim($_POST['abbr']))) : "";
    $desc = !empty($_POST['desc']) ? stripinput(stripslash(trim($_POST['desc']))) : "";
    redirect(ADBLINK."&amp;status=empty".(((isset($_GET['action']) && $_GET['action'] == "aedit" && isset($_GET['abbr_id']) && isnum($_GET['abbr_id'])) || (isset($_POST['abbr_id']) && isnum($_POST['abbr_id']))) ? "&amp;abbr_id=".(isset($_GET['abbr_id']) ? $_GET['abbr_id'] : $_POST['abbr_id']) : ""));
} elseif ((isset($_POST['preview']) || isset($_POST['save'])) && (!empty($_POST['abbr']) && !empty($_POST['desc']))) {
    $abbr = stripinput(stripslash(trim($_POST['abbr'])));
    $desc = stripinput(stripslash(trim($_POST['desc'])));
} elseif (isset($_GET['action']) && $_GET['action'] == "aedit" && isset($_GET['abbr_id']) && isnum($_GET['abbr_id'])) {
    $res = dbarray(dbquery("SELECT abbr_key, abbr_desc FROM ".DB_ABBR_DESC." WHERE abbr_id='".$_GET['abbr_id']."' LIMIT 1"));
    $abbr = $res['abbr_key'];
    $desc = $res['abbr_desc'];
} else {
    $abbr = "";
    $desc = "";
}
    if (isset($_POST['preview'])) {
    opentable($abbr);
    echo $desc;
    closetable();
    tablebreak();
} elseif (isset($_POST['save']) && !isset($_POST['abbr_id'])) {
    dbquery("INSERT INTO ".DB_ABBR_DESC." (abbr_key, abbr_desc) VALUES ('".$abbr."', '".$desc."')");
    redirect(ADBLINK."&amp;status=save");
} elseif (isset($_POST['save']) && isset($_POST['abbr_id']) && isnum($_POST['abbr_id'])) {
    dbquery("UPDATE ".DB_ABBR_DESC." SET abbr_key='".$abbr."', abbr_desc='".$desc."' WHERE abbr_id='".$_POST['abbr_id']."'");
    redirect(ADBLINK."&amp;status=update");
}
    $dnav = "<table class='tbl-border' style='padding:0; border-spacing:0; margin:0 auto; width:95%;'>\n<tr style='border-bottom:2px solid #222;'>\n";
    $dnav .= "<td style='width:40%; text-align:center; vertical-align:middle;'><strong>".$locale['bb_abbr_04']."</strong>\n";
    $dnav .= "<td style='text-align:center; vertical-align:middle;'><strong>".$locale['bb_abbr_13']."</strong>\n";
    $dnav .= "<form name='inputform' method='post' action='".ADBLINK."' onSubmit='return ValidateForm(this)'>\n<tr>\n";
    $dnav .= "<td style='text-align:center; vertical-align:middle;'>\n<input type='text' name='abbr' value='".$abbr."' id='abbr_key' class='textbox' style='width:90%;' placeholder='".$locale['bb_abbr_12']."' required>\n";
    $dnav .= "<td style='text-align:center;'>\n<textarea name='desc' cols='70' rows='5' id='abbr_desc' class='textbox' placeholder='".$locale['bb_abbr_13']."' required>".$desc."</textarea>\n";
    $dnav .= "<tr>\n<td colspan='2' style='text-align:center;padding-top:15px;padding-bottom:15px'>\n";
    if ((isset($_GET['action']) && $_GET['action'] == "aedit" && isset($_GET['abbr_id']) && isnum($_GET['abbr_id'])) || (isset($_POST['abbr_id']) && isnum($_POST['abbr_id']))) {
    $dnav .= "<input type='hidden' name='abbr_id' value='".(isset($_GET['abbr_id']) ? $_GET['abbr_id'] : $_POST['abbr_id'])."' />\n";
}
    $dnav .= "<input type='submit' name='preview' value='".$locale['bb_abbr_14']."' class='button' />&nbsp;&nbsp;&nbsp;<input type='submit' name='save' value='".((isset($_GET['action']) && $_GET['action'] == "aedit" && isset($_GET['abbr_id']) && isnum($_GET['abbr_id'])) || (isset($_POST['abbr_id']) && isnum($_POST['abbr_id'])) ? $locale['bb_abbr_19'] : $locale['bb_abbr_15'])."' class='button' />\n";
    $dnav .= "\n</form>\n</table>\n";
    opentable($locale['bb_abbr_16']);
    echo $dnav;
    closetable();
    $anav = "<table class='tbl-border' style='padding:0; border-spacing:0; margin:0 auto; width:100%;'>\n<tr style='border-bottom:2px solid #222;'>\n";
    $anav .= "<td style='width:2%; text-align:center; vertical-align:middle;'><strong>".$locale['bb_abbr_03']."</strong>\n";
    $anav .= "<td style='width:20%; text-align:center; vertical-align:middle;'><strong>".$locale['bb_abbr_04']."</strong>\n";
    $anav .= "<td style='text-align:center; vertical-align:middle; width:70%;'><strong>".$locale['bb_abbr_05']."</strong>\n";
    $anav .= "<td style='text-align:center; vertical-align:middle;'><strong>".$locale['bb_abbr_06']."</strong>\n";
    $rows = dbcount("(abbr_id)", DB_ABBR_DESC);
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
    $i = 0;
    $result = dbquery("SELECT abbr_id, abbr_key, abbr_desc FROM ".DB_ABBR_DESC." ORDER BY abbr_id DESC LIMIT ".$_GET['rowstart'].", 50");
    if (dbrows($result)) {
    while ($data = dbarray($result)) {
    $anav .= "<tr class='".($i % 2 == 0 ? "tbl1" : "tbl2")."'>\n";
    $anav .= "<td style='text-align:center; vertical-align:middle; border-right:1px solid #222;'>".$data['abbr_id']."\n";
    $anav .= "<td style='text-align:center; vertical-align:middle; border-right: 1px solid #222;'>".stripinput($data['abbr_key'])."\n";
    $anav .= "<td style='vertical-align:middle; border-right:1px solid #222;'>".$data['abbr_desc']."\n";
    $anav .= "<td style='text-align:center; vertical-align:middle;'><a href='".ADBLINK."&amp;action=adelete&amp;abbr_id=".$data['abbr_id']."' onclick=\"return confirm('".$locale['bb_abbr_07']."');\">".$locale['bb_abbr_08']."</a> | <a href='".ADBLINK."&amp;action=aedit&amp;abbr_id=".$data['abbr_id']."'>".$locale['bb_abbr_18']."</a>\n";
    $i++;
}
    $anav .= "<tr>\n<td colspan='2'>&nbsp;\n<td colspan='2' style='text-align:right; vertical-align:middle; padding: 10px 8px 10px 0;'><a class='button' href='".ADBLINK."&amp;action=aalldelete' onclick=\"return confirm('".$locale['bb_abbr_09']."');\">".$locale['bb_abbr_10']."</a>\n";
    if ($rows > 50){
    $anav .= "<tr>\n<td colspan='4' style='text-align:center; vertical-align:middle;'><div style='margin:5px auto;'>\n".makePageNav($_GET['rowstart'], 50, $rows, 3, ADBLINK."&amp;")."\n</div>\n";
  }
} else {
    $anav .= "<tr><td style='text-align:center; vertical-align:middle;' colspan='4'>".$locale['bb_abbr_11']."\n";
}
    $anav .= "</table>\n";
    opentable($locale['bb_abbr_title']);
    echo $anav;
    closetable();
    add_to_footer("<script> /* <![CDATA[ */
    function ValidateForm(frm) {
    var val1 = $('#abbr_key').val().trim();
    var val2 = $('#abbr_desc').val().trim();
    if (!val1) {
  alert('".$locale['bb_abbr_21']."');
  return false;
} else if (!val2) {
  alert('".$locale['bb_abbr_22']."');
  return false;
  }
}
/* ]]>*/ </script>\n");
    require_once THEMES."templates/footer.php";
?>